
#this file runs experiments in main paper(figure 2)

# which methods
# ['Model Picker', 'Query by Committee', 'Structural Query by Committee', 'Random Sampling',
#'Importance Weighted Active Learning', 'Efficient Active Learning',
#"Oracle","CAMS","CAMS-MAX","contextual qbc","contextual iwal"])


##DRIFT
declare -a budget=(10 20 30 40 50 100 150 200 400 800 1500 1800 2000)
declare -a which_methods=(1 1 0 1 1 0 1 1 0 1 1)
python -m experiments.run_experiment -dataset drift_contextual -stream_size 3000 -p 1 -num_reals 100 -budget ${budget[@]}  -which_methods ${which_methods[@]} > ./task1/task1_DRIFT.txt  &

##HIV
declare -a budget=(10 20 30 40 50 100 150 200 250 400 650 800 1400 2000)
declare -a which_methods=(1 1 0 1 1 0 1 1 0 1 1)
python -m experiments.run_experiment -dataset HIV_contextual -stream_size 4000 -p 0 -num_reals 200 -budget ${budget[@]}  -which_methods ${which_methods[@]} > ./task1/task1_HIV.txt &

##VERTEBRAL
declare -a budget=(2 12 20 30 40 50 60 80)
declare -a which_methods=(1 1 0 1 1 0 1 1 0 1 1)
python -m experiments.run_experiment -dataset VERTEBRAL_contextual -stream_size 80 -p 0 -num_reals 300 -budget ${budget[@]}  -which_methods ${which_methods[@]} >  ./task1/task1_VERTEBRAL.txt &

#CIFAR10
declare -a budget=(10 15 20 25 50 100 150 200 300 400 800 1000 1200)
declare -a which_methods=(1 1 0 1 1 0 1 1 0 1 1)
python -m experiments.run_experiment -dataset cifar_contextual -stream_size 10000 -p 11 -num_reals 20 -budget ${budget[@]}  -which_methods ${which_methods[@]} > ./task1/task1_CIFAR.txt &

